Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global __cmake_in_source_build 1

%global  checkout   be99c1cea6c5e2cf012fdaef8910176cde9ac2d3
%global  date       20150925

Name:    fido-pi
Summary: Protein identification in MS/MS proteomics
Version: 0
Release: alt2_0.17.%{date}git%(echo %{checkout} | cut -c-6)
License: MIT
URL:     https://github.com/hendrikweisser/Fido
Source0: https://github.com/hendrikweisser/Fido/archive/%{checkout}.zip#/Fido-%{checkout}.zip

BuildRequires: ctest cmake, gcc, gcc-c++
Source44: import.info

%description
Fido is a tool used in the area of computational proteomics.
It calculates posterior probabilities for protein
identifications based on database searches of tandem mass spectra.

%prep
%setup -q -n Fido-%{checkout}

%build
mkdir -p build && pushd build
%{fedora_v2_cmake} -DCMAKE_BUILD_TYPE:STRING=Release -DCMAKE_VERBOSE_MAKEFILE:BOOL=TRUE \
 -DCMAKE_SKIP_RPATH:BOOL=YES -DCMAKE_SKIP_INSTALL_RPATH:BOOL=YES -DCMAKE_BINARY_DIR:PATH=%{_bindir} ..
%make_build
popd

%install
## Manual installation
mkdir -p %{buildroot}%{_bindir}
install -pm 755 build/Fido %{buildroot}%{_bindir}
install -pm 755 build/FidoChooseParameters %{buildroot}%{_bindir}

%files
%doc --no-dereference *license.txt
%doc *.md
%{_bindir}/Fido*

%changelog
* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0-alt2_0.17.20150925gitbe99c1
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.17.20150925gitbe99c1
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.15.20150925gitbe99c1
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.14.20150925gitbe99c1
- new version

